Subject: [Sip] Interpreting Missing Content-Disposition

From: "Shekar, Nagesh Soma (Shekar)** CTR **" <[email-masked]>
Date: Thu, 6 Jan 2005 08:56:01 -0500

Could someone help me interpret RFC 3261 related to the the case when 
the Content-Disposition header is missing from an Invite. 
 
The verbage below clearly specifies that if the handling parameter is missing 
from a Content disposition header, then it should be assumed that the Disposition 
is required.  Extra-polating that, should a missing Content-Disposition header be 
treated as a required Disposition. 
 
Here is the snippet from RFC 3261, section 20.11 about Content Disposition.
 
Several new "disposition-types" of the Content-Disposition header are

defined by SIP. The value "session" indicates that the body part

describes a session, for either calls or early (pre-call) media. The

value "render" indicates that the body part should be displayed or

otherwise rendered to the user. Note that the value "render" is used

rather than "inline" to avoid the connotation that the MIME body is

displayed as a part of the rendering of the entire message (since the

MIME bodies of SIP messages oftentimes are not displayed to users).

For backward-compatibility, if the Content-Disposition header field

is missing, the server SHOULD assume bodies of Content-Type

application/sdp are the disposition "session", while other content

types are "render".

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Vijay Gaur <[email-masked]>
Date: Thu, 6 Jan 2005 20:09:45 -0800 (PST)

Hi Shekar,
  This is what I interpreted from RFC 3261 and RFC 3204.
 
   RFC 3261 says that for unknown Content-Disposition and Content-Types if handling parameter is missing then assume its value as required and reject the INVITE with 415. If there is no Content-Disposition header present and Content-Type is unknown then reject INVITE with 415 message. Because for unknown message bodies application doesn't know how to deal with the body, simply rendering unknown bodies don't help. 
 
Old SIP implementation will render the bodies instead of rejecting the INVIE.
 
Thanks,
Vijay Gaur

"Shekar, Nagesh Soma (Shekar)** CTR **" <[email-masked]> wrote:
BODY {	MARGIN-TOP: 25px; FONT-SIZE: 10pt; MARGIN-LEFT: 25px; COLOR: #000000; FONT-FAMILY: Arial, Helvetica}P.msoNormal {	MARGIN-TOP: 0px; FONT-SIZE: 10pt; MARGIN-LEFT: 0px; COLOR: #ffffcc; FONT-FAMILY: Helvetica, "Times New Roman"}LI.msoNormal {	MARGIN-TOP: 0px; FONT-SIZE: 10pt; MARGIN-LEFT: 0px; COLOR: #ffffcc; FONT-FAMILY: Helvetica, "Times New Roman"}Could someone help me interpret RFC 3261 related to the the case when 
the Content-Disposition header is missing from an Invite. 

types are "render".

> ATTACHMENT part 2 image/gif name=Blank Bkgrd.gif

Vijay Gaur
It's how you deal with failure that determines how you achieve success.
Au revoir, Adios, Namaste
__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com